{*-------------------------------------------------------------------------------
  DelphiCodeToDoc is a free documentation system for Delphi
  It uses information about source code symbols and formatted comments in files
  to produce accurate documentation from your application and component.
  This is the Console (DOS) application
  http://dephicodetodoc.sourceforge.net/
  Copyright TridenT 2003 - Under GNU GPL licence

  @Author    TridenT
  @Version   2003/12/01   TridenT   Initial revision
-------------------------------------------------------------------------------}
program DCTD_cmd;

{$APPTYPE CONSOLE}

uses
  SysUtils,
  Converter in 'ReadWrite\Converter.pas',
  CodeReader in 'ReadWrite\CodeReader.pas',
  CodeWriter in 'ReadWrite\CodeWriter.pas',
  StringsReader in 'ReadWrite\StringsReader.pas',
  StringsWriter in 'ReadWrite\StringsWriter.pas',
  StringsConverter in 'ReadWrite\StringsConverter.pas',
  BuildParseTree in 'Parse\BuildParseTree.pas',
  BuildTokenList in 'Parse\BuildTokenList.pas',
  ParseError in 'Parse\ParseError.pas',
  ParseTreeNode in 'Parse\ParseTreeNode.pas',
  ParseTreeNodeType in 'Parse\ParseTreeNodeType.pas',
  SourceToken in 'Parse\SourceToken.pas',
  SourceTokenList in 'Parse\SourceTokenList.pas',
  VisitSetXY in 'Process\VisitSetXY.pas',
  BaseVisitor in 'Process\BaseVisitor.pas',
  JcfMiscFunctions in 'Utils\JcfMiscFunctions.pas',
  FileUtils in 'Utils\FileUtils.pas',
  JcfLog in 'Utils\JcfLog.pas',
  TokenUtils in 'Parse\TokenUtils.pas',
  Nesting in 'Process\Nesting.pas',
  VisitSetNesting in 'Process\VisitSetNesting.pas',
  BasicStats in 'Process\Info\BasicStats.pas',
  Tokens in 'Parse\Tokens.pas',
  AllProcesses in 'Process\AllProcesses.pas',
  Structure in 'Process\Extract\Structure.pas',
  VisitStructure in 'Process\Extract\VisitStructure.pas',
  DocGen in 'Process\Extract\DocGen.pas',
  DocGenHTML in 'Process\Extract\DocGenHTML.pas',
  DocGenHTML_Common in 'Process\Extract\DocGenHTML_Common.pas',
  uDocProject in 'Process\Extract\uDocProject.pas',
  TagComment in 'Parse\TagComment.pas',
  VisitComment in 'Process\Extract\VisitComment.pas',
  uOptions in 'Process\Extract\uOptions.pas',
  ConvertTypes in 'ReadWrite\ConvertTypes.pas',
  CommandLineProcess in 'UI\CommandLineProcess.pas',
  uSharedProcess in 'UI\uSharedProcess.pas',
  DocGenCHM_Common in 'Process\Extract\DocGenCHM_Common.pas',
  DocGenCHM in 'Process\Extract\DocGenCHM.pas',
  PreProcessorParseTree in 'Parse\PreProcessor\PreProcessorParseTree.pas',
  PreProcessorExpressionTokenise in 'Parse\PreProcessor\PreProcessorExpressionTokenise.pas',
  PreProcessorExpressionTokens in 'Parse\PreProcessor\PreProcessorExpressionTokens.pas',
  PreProcessorExpressionParser in 'Parse\PreProcessor\PreProcessorExpressionParser.pas',
  TreeWalker in 'Process\TreeWalker.pas';

begin
  { TODO -oUser -cConsole Main : Insert code here }
  IgnoreTranslations;
  SearchTranslations;
  if VerifyCommand then
   if IsLegalCommandLine then
    if cmdOpenProject then
     if cmdCheckExecute then
      if cmdBuildExecute then
        FinishProcess;
end.
